using System;
using System.Xml;

class DOMUkazka2
{
	static void Main(string[] args)
	{
		// vytvoen przdnho DOM stromu
		XmlDocument doc = new XmlDocument();

		// vytvoen a vloen komente
		XmlNode node = doc.CreateComment("Ukzkov dokument");
		doc.AppendChild(node);

		// vytvoen koenovho elementu
		XmlNode root = doc.CreateElement("pednka");
		doc.AppendChild(root);
		
		// vytvoen a vloen elementu
		node = doc.CreateElement("nzev");
		node.InnerText = "Podpora XML v .NET";
		root.AppendChild(node);

		// pipojen atributu k elementu
		node = doc.CreateElement("autor");
		node.InnerText = "Ji Kosek";
		XmlAttribute node2 = doc.CreateAttribute("email");
		node2.Value = "jirka@kosek.cz";
		node.Attributes.Append(node2);
		root.AppendChild(node);

		doc.Save("prednaska.xml");
		System.Console.WriteLine(doc.InnerXml);
		//System.Console.WriteLine("Vsledek je zapsn v souboru prednaska.xml");
	}
}