using System;
using System.Xml;
using System.Xml.Schema;

class ValidaceUkazka
{
	// pznak chyby v dokumentu
	static bool ok = true;

	static void Main(string[] args)
	{
		// vytvoen pull parseru pro dokument
		XmlTextReader reader = new XmlTextReader("faktura-s-chybou.xml");

		// vytvoen validujcho parseru
		XmlValidatingReader vr = new XmlValidatingReader(reader);
		
		// registrace udlosti pro obsluhu chyb
		ValidationEventHandler errorHandler = new ValidationEventHandler(ValidationCallback);
		vr.ValidationEventHandler += errorHandler;

		// prchod celm dokumentem
		while (vr.Read()) { }

		if (!ok)
			Console.WriteLine("Dokument obsahoval chybu!!!");

	}

	// funkce obsluhujc vskyt chyby v dokumentu
	static void ValidationCallback (object sender, ValidationEventArgs args)
	{
		Console.WriteLine("Error: {0}", args.Message);
		ok = false;
	}
}